# Renew Subscription Instance - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-renewal-instance

# Renew Subscription Instance

POST

/

gpu-instance

/

openapi

/

v1

/

gpu

/

instance

/

renewInstance

Try it

Renew Subscription Instance

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"instanceId": "&#x3C;string>",
"month": 123
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance"payload = { "instanceId": "&#x3C;string>", "month": 123}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({instanceId: '&#x3C;string>', month: 123})};fetch('https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'instanceId' => '&#x3C;string>', 'month' => 123 ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance"	payload := strings.NewReader("{\n \"instanceId\": \"&#x3C;string>\",\n \"month\": 123\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"instanceId\": \"&#x3C;string>\",\n \"month\": 123\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/gpu/instance/renewInstance")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"instanceId\": \"&#x3C;string>\",\n \"month\": 123\n}"response = http.request(request)puts response.read_body
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-instance-id)

instanceId

string

required

The ID of the subscription instance to be renewed.

[​](#param-month)

month

integer

required

Renewal period, in months.

Last modified on May 28, 2025
